Bug 663491 - Trying to subscribe to 'RHEL Personal' crashes GUI
Summary: Trying to subscribe to 'RHEL Personal' crashes GUI
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager
Version: 6.1
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Pradeep Kilambi
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks: Entitlement-Beta
TreeView+ depends on / blocked
 
Reported: 2010-12-15 23:19 UTC by Jeff Weiss
Modified: 2014-11-09 22:51 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
subscription-manager-gnome-0.93.3-1.git.28.0488b4b.fc14.x86_64
Last Closed: 2011-05-19 13:38:13 UTC
Target Upstream Version:


Attachments (Terms of Use)
Consumer of this type are not allowed to subscribe to this pool... dialog (105.65 KB, image/png)
2011-01-06 22:57 UTC, John Sefler
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2011:0611 normal SHIPPED_LIVE new package: subscription-manager 2011-05-18 17:56:21 UTC

Description Jeff Weiss 2010-12-15 23:19:37 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. Register as testuser1/password
2. on All Available Subscriptions tab, check only "provide software not yet installed" and search.
3. Click "RHEL Personal", "Subscribe", "Subscribe"
  
Actual results:
GUI hangs, does not repaint itself

Expected results:
Proper error message about wrong consumer type

Additional info:

Comment 2 Justin Harris 2011-01-03 17:13:10 UTC
When trying to reproduce, I get a GUI dialog stating that consumers of this type could not subscribe to this pool.  This appears to have been fixed by someone previously.

Comment 3 John Sefler 2011-01-06 22:51:22 UTC
[root@jsefler-onprem01 ~]# rpm -q subscription-manager-gnome
subscription-manager-gnome-0.93.9-1.git.15.3545a2a.el6.x86_64

see attached screenshot verifying the expected behavior
The GUI no longer hangs and properly handles the exception with an error dialog.

moving to VERIFIED

Comment 4 John Sefler 2011-01-06 22:57:01 UTC
Created attachment 472157 [details]
Consumer of this type are not allowed to subscribe to this pool...  dialog

Comment 5 errata-xmlrpc 2011-05-19 13:38:13 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2011-0611.html


Note You need to log in before you can comment on or make changes to this bug.